<?php
namespace Claromentis\Core\Ai\Events;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_db6f0ba0791e9a635407659" . "a9fe04e40" => base64_decode("aXN" . "fb2" . "JqZ" . "WN0"), "_7f628626dd1d55c71b1fc0932" . "ffd1d2c" => base64_decode("aXNfYXJ" . "yYXk="));
use Claromentis\Core\Ai\Parts\PartInterface;
use Symfony\Component\EventDispatcher\GenericEvent;
use Webmozart\Assert\Assert;
class AiEvent extends GenericEvent
{
    
    
    
    
    
    public function __construct($_9961f986823b4be7f5c4cc8379c6b228, array $arguments = [])
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f62862" . "6dd1d55c" . "71b1fc09" . "32ffd1d2" . "c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            Assert::allIsInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_db6f0ba" . "0791e9a6" . "35407659" . "a9fe04e4" . "0"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            Assert::isInstanceOf($_9961f986823b4be7f5c4cc8379c6b228, PartInterface::class);
        } else {
            Assert::string($_9961f986823b4be7f5c4cc8379c6b228);
        }
        parent::__construct($_9961f986823b4be7f5c4cc8379c6b228, $arguments);
    }
    
    
    
    
    public function getParts()
    {
        return $this->getSubject();
    }
}